#ifndef FRAMELESS_SUBSAMPLE_H_
#define FRAMELESS_SUBSAMPLE_H_

#include "../common/scene.h"
#include "SubSamplingRayTracer.h"

class RandomSubSamplingRayTracer : public SubSamplingRayTracer
{
public:
	RandomSubSamplingRayTracer(Canvas *c) : SubSamplingRayTracer(c)
	{ }
	
	~RandomSubSamplingRayTracer()
	{ }
	
	void render(SlimScene *scene);
};



class FramelessSubSamplingRayTracer : public SubSamplingRayTracer
{
public:
	FramelessSubSamplingRayTracer(Canvas *c) : SubSamplingRayTracer(c)
	{ }
	
	~FramelessSubSamplingRayTracer()
	{ }
	
	void render(SlimScene *scene);
};

#endif
